# QSvgGenerator Class Reference

### [com.trolltech.qt.svg package]

Inherits QPaintDevice.

### Constructor

- void QSvgGenerator()

### Constructor Properties

- prototype: The QSvgGenerator prototype object

### Prototype Object Properties

- void setViewBox(QRect viewBox)
- QRect viewBox()

### Instance Properties

QSvgGenerator objects inherit properties from the QSvgGenerator prototype object and also have the following properties.

- size
- viewBox
- title
- description
- fileName
- outputDevice
- resolution